Bug 13294 - winbind should avoid using fstrcpy(domain->dcname,...) on a char *
winbind should avoid using fstrcpy(domain->dcname,...) on a char *
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.8.0rc2
All All
: P5 normal
: ---
Assigned To: Stefan Metzmacher
Samba QA Contact
:
Depends on:
Blocks: 13292
  Show dependency treegraph
 
Reported: 2018-02-22 07:18 UTC by Stefan Metzmacher
Modified: 2018-10-26 12:33 UTC (History)
3 users (show)

See Also:


Attachments
Pa (1.40 KB, patch)
2018-02-27 10:56 UTC, Ralph Böhme
no flags Details
Patch for 4.8 cherry-picked from master (1.40 KB, patch)
2018-02-27 10:57 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2018-02-22 07:18:33 UTC
domain->dcname was converted from fstring to char * by commit
    14bae61ba36814ea5eca7c51cf1cc039e9e6803f.
Comment 1 Ralph Böhme 2018-02-27 10:56:48 UTC
Created attachment 13999 [details]
Pa
Comment 2 Ralph Böhme 2018-02-27 10:57:33 UTC
Created attachment 14000 [details]
Patch for 4.8 cherry-picked from master
Comment 3 Stefan Metzmacher 2018-02-27 16:04:44 UTC
Pushed to autobuild-v4-8-test. But needs backport to older versions.
Comment 4 Karolin Seeger 2018-02-28 11:58:58 UTC
(In reply to Stefan Metzmacher from comment #3)
Pushed to v4-8-test.
Comment 5 Karolin Seeger 2018-03-22 20:52:57 UTC
Re-assigning to Metze for backports.
Comment 6 Stefan Metzmacher 2018-04-17 06:29:44 UTC
Backport on bug #13292.
Comment 7 Stefan Metzmacher 2018-10-26 12:33:36 UTC
4.7 only gets security updates